Page MenuHomePhabricator

QISSingleSignOn Fails with MW 1.9.x/1.8.x; works great with 1.7.x/1.6.x
Closed, InvalidPublic

Description

Author: duvemyster

Description:
QISSingleSignOn fails to login existing users or create new users when applied to MW 1.9.x or 1.8.x. However, it does so
flawless with 1.7.x and 1.6.

QISSingleSignOn utilizes AuthPlugin and $wgHooks['AutoAuthenticate'].


Version: unspecified
Severity: normal
URL: http://meta.wikimedia.org/wiki/QISSingleSignOn

Details

Reference
bz9364

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:37 PM
bzimport set Reference to bz9364.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 9389 has been marked as a duplicate of this bug. ***

duvemyster wrote:

One Solution: Comment out or remove the following lines in function QISSingleSignOnAutoAuthenticate
in /extensions/QISSingleSignOn.php

  1. if ( $user != null) { // user is authenticated (by another hook)
  2. return true;
  3. }

QISSingleSignOn is not part of SVN -> unable to apply any patch -> closing this bug as INVALID.